Skip to main content
`Ctrl`+`K`

# SNESGetLinearSolveIterations

Gets the total number of linear iterations used by the nonlinear solver in the most recent `SNESSolve()`

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetLinearSolveIterations(SNES snes, PetscInt *lits)

Not Collective

## Input Parameter

- snes - `SNES` context

## Output Parameter

- lits - number of linear iterations

## Notes

This counter is reset to zero for each successive call to `SNESSolve()` unless `SNESSetCountersReset()` is used.

If the linear solver fails inside the `SNESSolve()` the iterations for that call to the linear solver are not included. If you wish to count them then call `KSPGetIterationNumber()` after the failed solve.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetIterationNumber()`, `SNESGetLinearSolveFailures()`, `SNESGetMaxLinearSolveFailures()`, `SNESSetCountersReset()`

## Level

intermediate

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex5.c
src/ts/tutorials/ex30.c
src/snes/tutorials/ex25.c
src/snes/tutorials/ex48.c
src/snes/tutorials/ex55.c
src/ts/tutorials/ex24.c
src/ts/tutorials/ex14.c
src/snes/tutorials/ex18.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages